Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.primitive
Interface PrimitiveBoundary

All Superinterfaces:
  Boundary, Complex, Geometry, TransfiniteSet

All Known Subinterfaces:
  CurveBoundary, SolidBoundary, SurfaceBoundary

    @UML(identifier="GM_PrimitiveBoundary",
         specification=ISO_19107)
    public interface PrimitiveBoundary

extends Boundary

The boundary of primitive objects. This is the root for the various return types of the `getBoundary()` method for subtypes of `Primitive`. Since points have no boundary, no special subclass is needed for their boundary.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary

Methods inherited from interface Boundary
`isCycle`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.